#include <unistd.h>
#include <sys/time.h>
#include <gnu-stabs.h>

time_t
__time (time_t *ptr)
{
	struct timeval t;

	if (gettimeofday(&t,NULL) == 0) {
		if( ptr != NULL) {
			*ptr = t.tv_sec;
		}
		return t.tv_sec;
	} else {
		return -1;
	}
}


int
__stime (time_t *set)
{
	struct timeval t;
	struct timezone tzp;

	if (set != NULL && __gettimeofday(&t, &tzp) == 0) {
		t.tv_sec  = *set;
		t.tv_usec = 0;
		return __settimeofday(&t, &tzp);
	}
	return -1;
}

weak_alias(__time, time);
weak_alias(__stime, stime);
