#include <unistd.h>
#include <signal.h>
#include <gnu-stabs.h>

int
__pause (void)
{
	sigset_t mask;

	__sigemptyset(&mask);
	__sigprocmask(SIG_BLOCK, &mask, &mask);
	sigsuspend(&mask);	/* why no __sigsuspend?? */
	return -1;
}

weak_alias(__pause, pause);
