#include <syscall.h>
#include <sys/signal.h>


#define SYS___sigsuspend	SYS_sigsuspend
_syscall1(static int, __sigsuspend, sigset_t, sigmask);

int
sigsuspend(sigset_t * sigmask)
{
	int res;
	sigset_t sm = __siggetmask();

	res = __sigsuspend(*sigmask);
	__sigsetmask(sm);
	if (res >= 0) {
		return res;
	}
	errno = -res;
	return -1;
}
